@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@300;400;700&display=swap');

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

:root {
  --text-color: #00aa00;
}

body {
  font-family: 'Roboto Mono', sans-serif;
  background-color: #333;
  color: #ccc;
  font-size: 18px;
  line-height: 1.6;
}

h1 {
  color: var(--text-color);
  font-size: 50px;
  letter-spacing: -5px;
  margin-bottom: 20px;
}

h2 {
  color: var(--text-color);
}

h3 {
  margin-bottom: 10px;
}

ul {
  list-style-type: none;
}

a {
  color: var(--text-color);
  text-decoration: none;
}




p {
  margin: 20px 0;
}

nav {
  width: 30%;
}

nav ul {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

nav ul li {
  color: var(--text-color);
  cursor: pointer;
}

.container {
  max-width: 600px;
  margin: auto;
  height: 70vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.wb-body {
  background: #111;
  padding: 20px;
}

.hidden {
  display: none;
}

.cursor {
  font-weight: 700;
  animation: 1s blink step-end infinite;
}

@keyframes blink {
  from,
  to {
    color: transparent;
  }

  50% {
    color: var(--text-color);
  }
}


/* For Tablet View */
@media screen and (min-device-width: 768px)
and (max-device-width: 1024px) {
  .container {
    width: 400px;
    height: 400px;
  }
  ul{
    align-items: center;
  }
}
/* For Mobile Portrait View */
@media screen and (max-device-width: 480px)
and (orientation: portrait) {
  .container {
    width: 200px;
    height: 200px;
  }
  ul{
    align-items: center;
  }
}
/* For Mobile Landscape View */
@media screen and (max-device-width: 640px)
and (orientation: landscape) {
  .container {
    width: 400px;
    height: 200px;
  }
  ul{
    align-items: center;
  }
}

/* For Mobile Phones Portrait or Landscape View */
@media screen and (max-device-width: 640px) {
  .container {
    width: 400px;
    height: 200px;
  }
  ul{
    align-items: center;
  }
}
/* For iPhone 4 Portrait or Landscape View */
@media screen and (min-device-width: 320px)
and (-webkit-min-device-pixel-ratio: 2) {
  .container {
    width: 400px;
    height: 400px;
  }
  ul{
    align-items: center;
  }
}

/* For iPhone 5 Portrait or Landscape View */
@media (device-height: 568px) and (device-width: 320px)
and (-webkit-min-device-pixel-ratio: 2) {
  .container {
    width: 400px;
    height: 400px;
  }
  ul{
    align-items: center;
  }
}

/* For iPhone 6 and 6 plus Portrait or Landscape View */
@media (min-device-height: 667px) and (min-device-width: 375px)
and (-webkit-min-device-pixel-ratio: 3) {
  .container {
    width: 400px;
    height: 400px;
  }
  ul{
    align-items: center;
  }
}